Package com.arms.api.jira.jiraserver.controller

## Class JiraServerController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<JiraServer,​JiraServerDTO,​JiraServerEntity>
  - - com.arms.api.jira.jiraserver.controller.JiraServerController

-     @Controller
      @RequestMapping("/arms/jiraServer")
      public class JiraServerController
      extends TreeAbstractController<JiraServer,​JiraServerDTO,​JiraServerEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JiraServerController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `addJiraServerNode​(JiraServerDTO jiraServerDTO, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.http.ResponseEntity<?>` | `getIssueStatusList​(JiraServerDTO jiraServerDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `getJiraIssuePriorityList​(JiraServerDTO jiraServerDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `getJiraIssueResolutionList​(JiraServerDTO jiraServerDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `getJiraIssueTypeList​(JiraServerDTO jiraServerDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `getJiraProjectPure​(JiraServerDTO jiraServerDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<java.lang.String>` | `getNodeWithEncryption​(JiraServerDTO jiraServerDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `getStatusRuleSet​(JiraServerDTO jiraServerDTO, javax.servlet.http.HttpServletRequest request)` |
    `void` | `initialize()` |
    `org.springframework.http.ResponseEntity<?>` | `preSetIssueStatusMapping​(java.lang.String projectCId, JiraServerDTO jiraServerDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `refreshALMServer​(JiraServerDTO jiraServerDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `refreshALMServerByTarget​(java.lang.String refreshTarget, java.lang.String projectCId, JiraServerDTO jiraServerDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `setDefaultValueForTarget​(java.lang.String targetEntity, java.lang.Long targetCId, JiraServerDTO jiraServerDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `updateArmsAndEngineServerData​(JiraServerDTO JiraServerDTO, org.springframework.validation.BindingResult bindingResult, javax.servlet.http.HttpServletRequest request, org.springframework.ui.ModelMap model)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JiraServerController

          public JiraServerController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### addJiraServerNode

          @ResponseBody
          @RequestMapping(value="/addJiraServerNode.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> addJiraServerNode​(@Validated(AddNode.class)
                                                                              JiraServerDTO jiraServerDTO,
                                                                              org.springframework.validation.BindingResult bindingResult,
                                                                              org.springframework.ui.ModelMap model)
                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNodeWithEncryption

          @ResponseBody
          @RequestMapping(value="/getNodeWithEncryption.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<java.lang.String> getNodeWithEncryption​(JiraServerDTO jiraServerDTO)
                                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### refreshALMServerByTarget

          @ResponseBody
          @RequestMapping(value="{refreshTarget}/renewNode.do",
                          method=PUT)
          public org.springframework.http.ResponseEntity<?> refreshALMServerByTarget​(@PathVariable
                                                                                     java.lang.String refreshTarget,
                                                                                     java.lang.String projectCId,
                                                                                     JiraServerDTO jiraServerDTO)
                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getJiraProjectPure

          @ResponseBody
          @RequestMapping(value="/getJiraProjectPure.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getJiraProjectPure​(JiraServerDTO jiraServerDTO,
                                                                               javax.servlet.http.HttpServletRequest request)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getJiraIssueTypeList

          @ResponseBody
          @RequestMapping(value="/getJiraIssueType.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getJiraIssueTypeList​(JiraServerDTO jiraServerDTO,
                                                                                 javax.servlet.http.HttpServletRequest request)
                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getIssueStatusList

          @ResponseBody
          @RequestMapping(value="/getIssueStatusList",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getIssueStatusList​(JiraServerDTO jiraServerDTO,
                                                                               javax.servlet.http.HttpServletRequest request)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getJiraIssuePriorityList

          @ResponseBody
          @RequestMapping(value="/getJiraIssuePriority.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getJiraIssuePriorityList​(JiraServerDTO jiraServerDTO,
                                                                                     javax.servlet.http.HttpServletRequest request)
                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getJiraIssueResolutionList

          @ResponseBody
          @RequestMapping(value="/getJiraIssueResolution.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getJiraIssueResolutionList​(JiraServerDTO jiraServerDTO,
                                                                                       javax.servlet.http.HttpServletRequest request)
                                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setDefaultValueForTarget

          @ResponseBody
          @RequestMapping(value="/{defaultTarget}/makeDefault.do",
                          method=PUT)
          public org.springframework.http.ResponseEntity<?> setDefaultValueForTarget​(@PathVariable(name="defaultTarget")
                                                                                     java.lang.String targetEntity,
                                                                                     @RequestParam(name="targetCId")
                                                                                     java.lang.Long targetCId,
                                                                                     JiraServerDTO jiraServerDTO,
                                                                                     javax.servlet.http.HttpServletRequest request)
                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateArmsAndEngineServerData

          @ResponseBody
          @RequestMapping(value="/updateNodeAndEngineServerInfoUpdate.do",
                          method=PUT)
          public org.springframework.web.servlet.ModelAndView updateArmsAndEngineServerData​(@Validated(UpdateNode.class)
                                                                                            JiraServerDTO JiraServerDTO,
                                                                                            org.springframework.validation.BindingResult bindingResult,
                                                                                            javax.servlet.http.HttpServletRequest request,
                                                                                            org.springframework.ui.ModelMap model)
                                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### refreshALMServer

          @ResponseBody
          @RequestMapping(value="/refresh.do",
                          method=PUT)
          public org.springframework.http.ResponseEntity<?> refreshALMServer​(JiraServerDTO jiraServerDTO)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getStatusRuleSet

          @ResponseBody
          @RequestMapping(value="/getRuleSet.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<?> getStatusRuleSet​(JiraServerDTO jiraServerDTO,
                                                                             javax.servlet.http.HttpServletRequest request)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### preSetIssueStatusMapping

          @ResponseBody
          @RequestMapping(value="/preSetIssueStatusMapping.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> preSetIssueStatusMapping​(java.lang.String projectCId,
                                                                                     JiraServerDTO jiraServerDTO)
                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`